
import { alert, retrieval } from "@/common/common"
import Address from "@/components/address"
import FromList from "@/components/FromList"
import { Button, Input, Text, Textarea, View } from "@tarojs/components"
import Taro, { setNavigationBarTitle, useRouter } from "@tarojs/taro"
import { useEffect, useState } from "react"
import "./index.scss"
import {addressAddApi} from "@/api/addressManager"

export default ()=>{
  const [showSiteModal, setShowSiteModal] = useState(false);
  const {type} = useRouter().params;
  useEffect(()=>{
    if(type=="add"){
      setNavigationBarTitle({title:"新增收货地址"})
    }else{
      setNavigationBarTitle({title:"编辑收货地址"})
    }
  },[])
  
  const handleSelectSite = ()=>{
    setShowSiteModal(true);
  }
  const {fetchData, state} = addressAddApi()
  // 保存
  const [formData, setFormData] = useState(new Proxy({
    name: "",
    phone:"",
    site:"",
    district_id:"",
    address_detail: "",
    is_default: false
  }, {
    get: function (target, propKey, receiver) {
      
      return Reflect.get(target, propKey, receiver);
    },
    set: function (target, propKey, value, receiver) {
      console.log("进来了");

      return Reflect.set(target, propKey, value, receiver);
    }
  }))
  Taro.enableAlertBeforeUnload({
    message: "编辑末保存",

  })
  

  const handleSave = async ()=>{
    if(hozon){
      await fetchData({
        name: formData.name,
        phone:formData.phone,
        site:formData.site,
        district_id:formData.district_id,
        address_detail: formData.address_detail,
      });
      // Taro.navigateBack();
    }else{
      alert.error("请完善表单！")
    }
  }
  const [hozon, setHozon] = useState(false);
  useEffect(()=>{
    if(retrieval){
      retrieval(formData).then(()=>setHozon(true)).catch(()=>setHozon(false))
    }
  },[formData])

  return (
    <View className="add-address">
      <FromList onInput={(ev:any)=>setFormData({...formData,name:ev.detail.value})} value={formData["name"]} label="联系人" placeholder="请输入收货人姓名"/>
      <FromList onInput={(ev:any)=>setFormData({...formData,phone:ev.detail.value})} value={formData["phone"]} label="联系方式" placeholder="请输入联系方式"/>
      <FromList value={formData["site"]} onClick={handleSelectSite} label="收货地址" type="select" placeholder="请选择/省/市/区"/>
      <FromList onInput={(ev:any)=>setFormData({...formData,address_detail:ev.detail.value})} value={formData["address_detail"]} label="详细地址" type="textarea" placeholder="请输入详细地址（街道、门牌号等）"/>
      <View className="add-address-default">
        <Text>设为默认地址</Text>
        <View onClick={()=>setFormData({...formData ,is_default: !formData.is_default})}>
          {
            formData.is_default?<View className="add-address-default-active"><Text className="iconfont icon-tick"/></View>
            :<View className="add-address-default-noactive"></View>
          }
        </View>
      </View>
      
      <Button style={{"background": hozon?'#007aff':''}} hoverClass="none" className={`add-address-save`} onClick={handleSave}>
        保存
      </Button>
      <Address addressOnSelect={(e) => console.log('地址::',e)} defaultValue={[{name: "广东省", id: 193}, {name: "佛山市", id: 202}, {name: "高明区", id: 204}]} addressOnClose={()=>setShowSiteModal(false)} show={showSiteModal}/>
    </View>
  )
}
